< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package renderer
  Definition Classes
    hmrc
- ActiveTab
- ActiveTabCheckProgress
- ActiveTabHome
- ActiveTabMessages
- ActiveTabYourAccount
- TemplateArgumentsBuilder
- TemplateRenderer

o

uk.gov.hmrc.renderer

# TemplateArgumentsBuilder 

###

#### object TemplateArgumentsBuilder

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TemplateArgumentsBuilder
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class AccountMenuStyleComponent(langUrls: Option[(String, String)] = None, signoutUrl: Option[String] = None, activeTab: Option[ActiveTab] = None, hideAccountMenu: Boolean = false, profileUrl: Option[String] = None) extends StyleComponent with Product with Serializable
2.  case class ActingAttorneyBannerComponent(html: Html) extends TemplateComponent with Product with Serializable
3.  case class BackLinkUrlComponent(url: String, text: Option[String] = None) extends TemplateComponent with Product with Serializable
4.  case class BetaBannerComponent(feedbackIdentifier: String) extends TemplateComponent with Product with Serializable
5.  case class CssLinkElement(url: String, ieVersionCondition: Option[String] = None, isPrint: Boolean = false) extends Product with Serializable
6.  case class CssLinksComponent(elements: CssLinkElement*) extends TemplateComponent with Product with Serializable
7.  case class FullWidthBannerComponent(title: String, text: String, linkUrl: Option[String], dismissText: Option[String], gaAction: Option[String]) extends TemplateComponent with Product with Serializable
8.  case class GTMComponent(gtmId: Option[String]) extends TemplateComponent with Product with Serializable
9.  case class GetHelpFormComponent(html: Html) extends TemplateComponent with Product with Serializable
10.  case class GoogleAnalyticsComponent(trackingId: String, cookieDomain: Option[String], arguments: (String, Option[String])*) extends TemplateComponent with Product with Serializable
11.  case class InlineScriptComponent(script: String) extends TemplateComponent with Product with Serializable
12.  case class MainContentHeaderComponent(html: Html) extends TemplateComponent with Product with Serializable
13.  case class MessagesMenuItemComponent(unreadMessageCount: Option[Int]) extends TemplateComponent with Product with Serializable
14.  case class NavTitleComponent(title: String) extends TemplateComponent with Product with Serializable
15.  case class OptimizelyComponent(audience: Option[String], projectId: String) extends TemplateComponent with Product with Serializable
16.  case class PageTitleComponent(title: String) extends TemplateComponent with Product with Serializable
17.  case class ScriptsComponent(urls: String*) extends TemplateComponent with Product with Serializable
18.  case class SsoUrlComponent(url: String) extends TemplateComponent with Product with Serializable
19.  sealed trait StyleComponent extends TemplateComponent
20.  sealed trait TemplateComponent extends AnyRef
21.  case class TraditionalStyleComponent(signoutUrl: Option[String] = None) extends StyleComponent with Product with Serializable
22.  case class UserPropertiesComponent(isGovernmentGateway: Boolean, isVerify: Boolean, isSa: Boolean) extends TemplateComponent with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(components: Option[TemplateComponent]*): Map[String, Any]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped